package com.qmth.qrzk.repository.user.model;

/**
 * 导入国考课程信息
 * @author 钟辉
 *
 */
public class ImportBean {

	private String name;
	
	private String gender;		//性别
	
	private String certino;		//身份证号
	
	private String position;	//职称
	
	private String school;		//单位
	
	private String department;	//院系
	
	private String major;		//专业
	
	private String officePhone; //办公电话
	
	private String phone;		//手机
	
	private String email;		//email
	
	private String courseCode;
	
	private String courseName;
	
	private String courseISBN;
	
	private String questionCode;
	
	private String questionName;
	
	private String bookName;
	
	private String author;
	
	private String press;
	
	private String edition;
	
	private String bookStartTime;
	
	private String specialtyType;

	
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getGender() {
		return gender;
	}

	public void setGender(String gender) {
		this.gender = gender;
	}
	public String getCertino() {
		return certino;
	}

	public void setCertino(String certino) {
		this.certino = certino;
	}

	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}

	public String getSchool() {
		return school;
	}

	public void setSchool(String school) {
		this.school = school;
	}

	public String getDepartment() {
		return department;
	}

	public void setDepartment(String department) {
		this.department = department;
	}
	
	public String getMajor() {
		return major;
	}

	public void setMajor(String major) {
		this.major = major;
	}
	
	public String getPhone() {
		return phone;
	}
	
	public String getOfficePhone() {
		return officePhone;
	}

	public void setOfficePhone(String officePhone) {
		this.officePhone = officePhone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public ImportBean(String name, String gender, String certino,
			String position, String school, String department,
			String officePhone, String phone, String email) {
		super();
		this.name = name;
		this.gender = gender;
		this.certino = certino;
		this.position = position;
		this.school = school;
		this.department = department;
		this.officePhone = officePhone;
		this.phone = phone;
		this.email = email;
	}

	public ImportBean(String name, String gender, String certino, String major,
			String officePhone, String phone) {
		super();
		this.name = name;
		this.gender = gender;
		this.certino = certino;
		this.major = major;
		this.officePhone = officePhone;
		this.phone = phone;
	}

	
	public ImportBean(String name, String gender, String certino,
			String officePhone, String phone) {
		super();
		this.name = name;
		this.gender = gender;
		this.certino = certino;
		this.officePhone = officePhone;
		this.phone = phone;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getCourseISBN() {
		return courseISBN;
	}

	public void setCourseISBN(String courseISBN) {
		this.courseISBN = courseISBN;
	}

	public String getBookName() {
		return bookName;
	}

	public void setBookName(String bookName) {
		this.bookName = bookName;
	}

	

	public String getQuestionCode() {
		return questionCode;
	}

	public void setQuestionCode(String questionCode) {
		this.questionCode = questionCode;
	}

	public String getQuestionName() {
		return questionName;
	}

	public void setQuestionName(String questionName) {
		this.questionName = questionName;
	}

	public String getAuthor() {
		return author;
	}

	public void setAuthor(String author) {
		this.author = author;
	}

	public String getPress() {
		return press;
	}

	public void setPress(String press) {
		this.press = press;
	}

	public String getEdition() {
		return edition;
	}

	public void setEdition(String edition) {
		this.edition = edition;
	}

	public String getBookStartTime() {
		return bookStartTime;
	}

	public void setBookStartTime(String bookStartTime) {
		this.bookStartTime = bookStartTime;
	}

	public String getSpecialtyType() {
		return specialtyType;
	}

	public void setSpecialtyType(String specialtyType) {
		this.specialtyType = specialtyType;
	}
	
	public ImportBean(String courseCode, String courseName,
			String bookName, String author, String press, String edition,
			String bookStartTime, String specialtyType) {
		super();
		this.courseCode = courseCode;
		this.courseName = courseName;
		this.bookName = bookName;
		this.author = author;
		this.press = press;
		this.edition = edition;
		this.bookStartTime = bookStartTime;
		this.specialtyType = specialtyType;
	}

	public ImportBean(String courseCode, String courseName) {
		super();
		this.courseCode = courseCode;
		this.courseName = courseName;
	}

	public ImportBean() {
		super();
		// TODO Auto-generated constructor stub
	}
	
	
}
